Cancel Request
curl --request DELETE \
--url https://api.example.com/request/{requestId}import requests
url = "https://api.example.com/request/{requestId}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.example.com/request/{requestId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"statusCode": 400,
"message": "Request already canceled",
"error": "Bad Request"
}{
"statusCode": 404,
"message": "Request not found",
"error": "Not Found"
}Requests
Cancel Request
This action will cancel a credential request. Once a request is canceled, it cannot be undone and will prevent the request from being completed by any subjects. Any draft credentials are marked canceled and any already-active credentials in the request are revoked.
DELETE
/
request
/
{requestId}
Cancel Request
Headers
Pin request, response, and webhook shapes to a specific dated API version (YYYY-MM-DD). Omit to use the version pinned to your API key (set when the key is created; new keys default to the latest version). New integrations should target the latest version.
Pattern:
^\d{4}-\d{2}-\d{2}$Example:
"2026-09-01"
Path Parameters
Unique identifier of the credential request to cancel. Must be a valid MongoDB ObjectId.
Example:
"507f1f77bcf86cd799439011"
Response
Returns a confirmation of the cancellation.
Whether the operation was successful
Example:
true